package com.safeway.epe.offersdataproducer.transformer;

import com.safeway.epe.offersdataproducer.bomodel.OffersDataBO;
import com.safeway.epe.offersdataproducer.dtomodel.OffersDataDTO;
import com.safeway.epe.offersdataproducer.mapper.BoToDtoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class OffersDataBoToDTO {
    @Autowired
    private BoToDtoMapper boToDtoMapper;
    public OffersDataDTO transferToDTO(OffersDataBO offersDataBO)
    {
        return boToDtoMapper.map(offersDataBO);
    }
}
